Loading...
Searching...
No Matches
HybridGaussianFactorGraph.h File Reference

Linearized Hybrid factor graph that uses type erasure. More...

Go to the source code of this file.

## Classes

struct | gtsam::EliminationTraits< HybridGaussianFactorGraph >
class | gtsam::HybridGaussianFactorGraph

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< HybridConditional::shared_ptr, boost::shared_ptr< Factor > > | gtsam::EliminateHybrid (const HybridGaussianFactorGraph &factors, const Ordering &keys)
| Main elimination function for HybridGaussianFactorGraph.
const Ordering | gtsam::HybridOrdering (const HybridGaussianFactorGraph &graph)
| Return a Colamd constrained ordering where the discrete keys are eliminated after the continuous keys.

## Detailed Description

Linearized Hybrid factor graph that uses type erasure.

Author
  Fan Jiang, Varun Agrawal, Frank Dellaert

Date
  Mar 11, 2022